git@vger.kernel.org mailing list mirror (one of many)
 help / color / mirror / code / Atom feed
From: Karthik Nayak <karthik.188@gmail.com>
To: git@vger.kernel.org
Cc: christian.couder@gmail.com, Matthieu.Moy@grenoble-inp.fr,
	Karthik Nayak <karthik.188@gmail.com>
Subject: [PATCH v8 01/11] t6302: for-each-ref tests for ref-filter APIs
Date: Thu,  9 Jul 2015 11:33:21 +0530	[thread overview]
Message-ID: <1436421801-7781-1-git-send-email-karthik.188@gmail.com> (raw)
In-Reply-To: <1436285177-12279-1-git-send-email-karthik.188@gmail.com>

Add a test suite for testing the ref-filter APIs used
by for-each-ref. We just intialize the test suite for now.
More tests will be added in the following patches as more
options are added to for-each-ref.

Based-on-patch-by: Jeff King <peff@peff.net>
Mentored-by: Christian Couder <christian.couder@gmail.com>
Mentored-by: Matthieu Moy <matthieu.moy@grenoble-inp.fr>
Signed-off-by: Karthik Nayak <karthik.188@gmail.com>
---
 t/t6302-for-each-ref-filter.sh | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)
 create mode 100755 t/t6302-for-each-ref-filter.sh

diff --git a/t/t6302-for-each-ref-filter.sh b/t/t6302-for-each-ref-filter.sh
new file mode 100755
index 0000000..ae75116
--- /dev/null
+++ b/t/t6302-for-each-ref-filter.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+test_description='test for-each-refs usage of ref-filter APIs'
+
+. ./test-lib.sh
+. "$TEST_DIRECTORY"/lib-gpg.sh
+
+if ! test_have_prereq GPG
+then
+	skip_all="skipping for-each-ref tests, GPG not available"
+	test_done
+fi
+
+test_expect_success 'setup some history and refs' '
+	test_commit one &&
+	test_commit two &&
+	test_commit three &&
+	git checkout -b side &&
+	test_commit four &&
+	git tag -s -m "A signed tag message" signed-tag &&
+	git tag -s -m "Annonated doubly" double-tag signed-tag &&
+	git checkout master &&
+	git update-ref refs/odd/spot master
+'
+
+test_done
-- 
2.4.5

      parent reply	other threads:[~2015-07-09  6:03 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-07-07 16:05 [PATCH v8 00/11] add options to for-each-ref Karthik Nayak
2015-07-07 16:06 ` [PATCH v8 01/11] t6302: for-each-ref tests for ref-filter APIs Karthik Nayak
2015-07-07 16:06   ` [PATCH v8 02/11] tag: libify parse_opt_points_at() Karthik Nayak
2015-07-07 16:06   ` [PATCH v8 03/11] ref-filter: implement '--points-at' option Karthik Nayak
2015-07-07 16:06   ` [PATCH v8 04/11] for-each-ref: add " Karthik Nayak
2015-07-07 16:06   ` [PATCH v8 05/11] ref-filter: add parse_opt_merge_filter() Karthik Nayak
2015-07-07 16:06   ` [PATCH v8 06/11] ref-filter: implement '--merged' and '--no-merged' options Karthik Nayak
2015-07-07 16:06   ` [PATCH v8 07/11] for-each-ref: add " Karthik Nayak
2015-07-07 16:06   ` [PATCH v8 08/11] parse-option: rename parse_opt_with_commit() Karthik Nayak
2015-07-07 16:06   ` [PATCH v8 09/11] parse-options.h: add macros for '--contains' option Karthik Nayak
2015-07-07 16:06   ` [PATCH v8 10/11] ref-filter: implement " Karthik Nayak
2015-07-07 16:06   ` [PATCH v8 11/11] for-each-ref: add " Karthik Nayak
2015-07-08  8:09   ` [PATCH v8 01/11] t6302: for-each-ref tests for ref-filter APIs Torsten Bögershausen
2015-07-08  9:07     ` Matthieu Moy
2015-07-08 13:59       ` Karthik Nayak
2015-07-08 15:46         ` Matthieu Moy
2015-07-09  5:52           ` Karthik Nayak
2015-07-09  6:03   ` Karthik Nayak [this message]

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: http://vger.kernel.org/majordomo-info.html

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1436421801-7781-1-git-send-email-karthik.188@gmail.com \
    --to=karthik.188@gmail.com \
    --cc=Matthieu.Moy@grenoble-inp.fr \
    --cc=christian.couder@gmail.com \
    --cc=git@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://80x24.org/mirrors/git.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).